----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;


entity NOT_COMB is
	port (                        
			INP      : in  std_logic;
			OUTP  	: out std_logic
	);
end NOT_COMB;

architecture implementation of NOT_COMB is

begin

	OUTP <= not INP;

end implementation;
